package com.persagy;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure;
import com.persagy.common.annotation.EnableControllerLog;
import com.persagy.common.annotation.EnableIdGenerator;

/**
 * 启动类
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021年9月15日 下午2:30:39
 */
@EnableIdGenerator
@EnableControllerLog
@EnableTransactionManagement
@EnableScheduling // 开启定时任务功能
@SpringBootApplication(exclude = {DruidDataSourceAutoConfigure.class})
public class IbmsSwitchApplication {
	
	public static void main(String[] args) {
		SpringApplication.run(IbmsSwitchApplication.class, args);
	}
	
}