package com.persagy.transfer.aop;

import org.springframework.dao.DuplicateKeyException;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import com.persagy.common.aop.CommonExceptionHandler;
import com.persagy.common.enums.ResponseCode;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;

import lombok.extern.slf4j.Slf4j;

/**
 * 异常全局处理类
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月15日 下午2:32:28
 */
@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler extends CommonExceptionHandler {

	@ExceptionHandler(DuplicateKeyException.class)
	public ResponseResult handleDuplicateKeyException(Exception e) {
		log.error(e.getMessage(), e);
		return ResponseUtil.errorResult(ResponseCode.C0341.getCode(), ResponseCode.C0341.getDesc());
	}
	
}
