package com.persagy.transfer.constant;

import java.util.HashMap;
import java.util.Map;

import com.persagy.common.utils.StringUtil;

/**
 * 万达自定义信息点枚举值的字典数据
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月27日 下午2:04:38
 */
public class DictType {

	/** 所有枚举信息点对应的映射数据 */
	public static final Map<String, Map<String, String>> ALL_INFOCODE_MAP = new HashMap<String, Map<String, String>>(256);
	
	/** 是否 */
	public static final Map<String, String> IS_OR_NOT = new HashMap<String, String>(4);
	
	/** 设备状态 */
	public static final Map<String, String> EQUIP_STATUS = new HashMap<String, String>(4);
	
	/** 物业类型 */
	public static final Map<String, String> PROPERTY_TYPE = new HashMap<String, String>(4);
	
	/** 设备管理归属 */
	public static final Map<String, String> EQUIPMENT_MANAGE_OWNERSHIP = new HashMap<String, String>(4);
	
	/** 安装类型 */
	public static final Map<String, String> INSTALL_TYPE = new HashMap<String, String>(4);
	
	/** 燃料类型 */
	public static final Map<String, String> FUEL_TYPE = new HashMap<String, String>(4);
	
	/** 锅炉形式 */
	public static final Map<String, String> BOILER_FORM = new HashMap<String, String>(4);
	
	/** 压缩机结构型式 */
	public static final Map<String, String> YASUOJI_MODLE = new HashMap<String, String>(4);
	
	/** 冷却方式 */
	public static final Map<String, String> LENGQUE_TYPE = new HashMap<String, String>(4);
	
	/** 冷热类型 */
	public static final Map<String, String> LENGRE_TYPE = new HashMap<String, String>(4);
	
	/** 拖动方式 */
	public static final Map<String, String> TUODONG_TYPE = new HashMap<String, String>(4);
	
	/** 控制方式 */
	public static final Map<String, String> CTRL_TYPE = new HashMap<String, String>(4);
	
	/** 厅轿门形式 */
	public static final Map<String, String> TINGJIAOMENG_TYPE = new HashMap<String, String>(4);
	
	/** 厅轿门开门方式 */
	public static final Map<String, String> TINGJIAOMENG_KAIMEN_TYPE = new HashMap<String, String>(4);
	
	static {
		IS_OR_NOT.put("0", "否");
		IS_OR_NOT.put("1", "是");
		ALL_INFOCODE_MAP.put(InfosKeyConstant.WISDOM_CLOUD_USE, IS_OR_NOT);
		ALL_INFOCODE_MAP.put(InfosKeyConstant.MAIN_STORE, IS_OR_NOT);
		ALL_INFOCODE_MAP.put("wD_shifoubianpinequip", IS_OR_NOT);
		ALL_INFOCODE_MAP.put("wD_shifourebeng", IS_OR_NOT);
		ALL_INFOCODE_MAP.put("wD_shifoubianpin", IS_OR_NOT);
		
		
		EQUIP_STATUS.put("1", "运行中");
		EQUIP_STATUS.put("2", "报废");
		ALL_INFOCODE_MAP.put(InfosKeyConstant.EQUIPMENT_STATUS, EQUIP_STATUS);
		
		PROPERTY_TYPE.put("1", "自持");
		PROPERTY_TYPE.put("2", "销售");
		PROPERTY_TYPE.put("3", "合作方");
		ALL_INFOCODE_MAP.put(InfosKeyConstant.PROPERTY_TYPE, PROPERTY_TYPE);

		EQUIPMENT_MANAGE_OWNERSHIP.put("1", "商管");
		EQUIPMENT_MANAGE_OWNERSHIP.put("2", "百货");
		EQUIPMENT_MANAGE_OWNERSHIP.put("3", "超市");
		EQUIPMENT_MANAGE_OWNERSHIP.put("4", "影院");
		EQUIPMENT_MANAGE_OWNERSHIP.put("5", "金街");
		EQUIPMENT_MANAGE_OWNERSHIP.put("6", "主力店");
		EQUIPMENT_MANAGE_OWNERSHIP.put("7", "宝贝王");
		EQUIPMENT_MANAGE_OWNERSHIP.put("99", "其他商铺");
		ALL_INFOCODE_MAP.put(InfosKeyConstant.EQUIPMENT_MANAGE_OWNERSHIP, EQUIPMENT_MANAGE_OWNERSHIP);
		
		INSTALL_TYPE.put("1", "立式");
		INSTALL_TYPE.put("2", "卧式");
		INSTALL_TYPE.put("99", "其他");
		ALL_INFOCODE_MAP.put("installType", INSTALL_TYPE);
		
	
		FUEL_TYPE.put("1", "燃油");
		FUEL_TYPE.put("2", "燃煤");
		FUEL_TYPE.put("3", "燃气");
		ALL_INFOCODE_MAP.put("wD_fueltype", FUEL_TYPE);

		BOILER_FORM.put("1", "常压锅炉");
		BOILER_FORM.put("2", "蒸汽锅炉");
		BOILER_FORM.put("3", "真空锅炉");
		ALL_INFOCODE_MAP.put("wD_boilerform", BOILER_FORM);
		
		
		YASUOJI_MODLE.put("1", "涡旋式");
		YASUOJI_MODLE.put("2", "活塞式");
		YASUOJI_MODLE.put("3", "离心式");
		YASUOJI_MODLE.put("4", "螺杆式");
		ALL_INFOCODE_MAP.put("wD_yasuojijiegouxingshi", YASUOJI_MODLE);
		
		
		LENGQUE_TYPE.put("1", "风冷");
		LENGQUE_TYPE.put("2", "水冷");
		LENGQUE_TYPE.put("3", "横流塔");
		LENGQUE_TYPE.put("4", "逆流塔");
		ALL_INFOCODE_MAP.put("wD_lengquefangshi", LENGQUE_TYPE);
		

		LENGRE_TYPE.put("1", "单冷");
		LENGRE_TYPE.put("2", "冷热");
		ALL_INFOCODE_MAP.put("wD_lengreleixing", LENGRE_TYPE);
		
		
		TUODONG_TYPE.put("1", "交流拖动");
		TUODONG_TYPE.put("2", "直流拖动");
		TUODONG_TYPE.put("3", "液压拖动");
		ALL_INFOCODE_MAP.put("wD_tuodongfangshi", TUODONG_TYPE);
		
		
		CTRL_TYPE.put("1", "群控");
		CTRL_TYPE.put("2", "单控");
		ALL_INFOCODE_MAP.put("wD_ctrltype", CTRL_TYPE);
		

		TINGJIAOMENG_TYPE.put("1", "单面门");
		TINGJIAOMENG_TYPE.put("2", "贯通门");
		ALL_INFOCODE_MAP.put("wD_tingjiaomenxingshi", TINGJIAOMENG_TYPE);
		
		
		TINGJIAOMENG_KAIMEN_TYPE.put("1", "单开门");
		TINGJIAOMENG_KAIMEN_TYPE.put("2", "对开门");
		ALL_INFOCODE_MAP.put("wD_tingjiaomenkaimenfangshi", TINGJIAOMENG_KAIMEN_TYPE);
		
	}
	
	/**
	 * 获取code属性值对应的属性描述
	 * 
	 * @param codeName code的属性key
	 * @param codeValue 对应code 值
	 * @return 当不存在描述信息时，返回 codeValue
	 * @date 2021年9月27日 下午6:02:40
	 */
	public static String getCodeDesc(String codeKey, String codeValue) {
		if (StringUtil.isBlank(codeValue) || StringUtil.isBlank(codeKey)) {
			return SwitchConstant.EMPTY;
		}
		Map<String, String> map = ALL_INFOCODE_MAP.get(codeKey);
		if (map == null) {
			return codeValue;
		}
		
		String codeDesc = map.get(codeValue);
		return StringUtil.isBlank(codeDesc) ? codeValue : codeDesc;
	}
	
}
