package com.persagy.transfer.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.handle.CommonHandler;
import com.persagy.transfer.handle.WDRwdObjectTransferHandler;

/**
 * 通用controller
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月17日 上午10:02:22
 */
@RestController
@RequestMapping("/common")
public class CommonController {

    @Autowired
    private CommonHandler commonHandler;
    
    @Autowired
    private WDRwdObjectTransferHandler wdRwdObjectTransferHandler;
    
    /**
     * 刷新本地缓存
     * 
     * @param request
     * @return
     * @date 2021年9月17日 下午7:36:45
     */
    @RequestMapping(value = "/refreshCache")
    public ResponseResult refreshCache(HttpServletRequest request) {
		// 生成设备类编码缓存
		this.commonHandler.createWDClassCache();
		
		// 生成项目ID缓存
		this.commonHandler.createWDProjectCache();
		
        return ResponseUtil.successResult("本地缓存刷新成功");
    }
    
    /**
     * 同步物理世界对象数据至万达数据表中
     * 
     * @param request
     * @return
     * @date 2021年9月17日 下午7:37:35
     */
    @RequestMapping(value = "/syncRwdObject2WD")
    public ResponseResult syncRwdObject2WD(HttpServletRequest request) {
    	this.wdRwdObjectTransferHandler.syncRwdObject2WD();
        return ResponseUtil.successResult("物理世界对象数据同步成功");
    }
    
}
