package com.persagy.transfer.controller;

import com.persagy.transfer.service.IPersagyDbService;
import com.persagy.transfer.service.IWdDbService;
import com.persagy.transfer.service.impl.DemoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 多数据源测试
 *
 * @author zhangqiankun
 * @version 1.0.0
 * @company persagy
 * @date 2021年9月15日 下午4:12:18
 */
@RestController
public class DemoController {

    @Autowired
    private DemoService demoService;

    @Autowired
    private IPersagyDbService persagyDbService;

    @Autowired
    private IWdDbService wdDbService;

    @RequestMapping("/test")
    public Object queryCount(HttpServletRequest request) {
        String datasource = request.getHeader("datasource");
        return "1".equals(datasource) ? this.demoService.getDataByMasterOne() : this.wdDbService.getDataByMasterTwo();
    }

    @RequestMapping("/syncNow")
    public Object syncNow() {
        try {
            this.persagyDbService.syncData2WD();
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }

}
