package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.HydomcAsset;
import com.persagy.transfer.service.IHydomcAssetService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 设备信息主表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 10:45:41
 */

@Api(tags = "设备信息主表")
@RestController
@RequestMapping(value = "/hydomcAsset", method = RequestMethod.POST)
public class HydomcAssetController {
	
    @Autowired
    private IHydomcAssetService hydomcAssetService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryHydomcAssetList")
    public ResponseResult queryHydomcAssetList(@RequestBody HydomcAsset hydomcAsset) {
    	LambdaQueryWrapper<HydomcAsset> queryWrapper = new HydomcAsset.BuilderQueryWrapper().builder();
    	List<HydomcAsset> list = this.hydomcAssetService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createHydomcAsset")
    public ResponseResult createHydomcAsset(@RequestBody HydomcAsset hydomcAsset) {
        boolean result = this.hydomcAssetService.save(hydomcAsset);
        return result ? ResponseUtil.successResult("保存成功") : ResponseUtil.errorResult("保存失败");
    }
    
    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateHydomcAsset")
    public ResponseResult updateHydomcAsset(@RequestBody HydomcAsset hydomcAsset) {
        boolean result = this.hydomcAssetService.updateById(hydomcAsset);
        return result ? ResponseUtil.successResult("更新成功") : ResponseUtil.errorResult("更新失败");
    }

}
