package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.HydomcAssetspec;
import com.persagy.transfer.service.IHydomcAssetspecService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 设备参数信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 10:45:41
 */

@Api(tags = "设备参数信息")
@RestController
@RequestMapping(value = "/hydomcAssetspec", method = RequestMethod.POST)
public class HydomcAssetspecController {
	
    @Autowired
    private IHydomcAssetspecService hydomcAssetspecService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryHydomcAssetspecList")
    public ResponseResult queryHydomcAssetspecList(@RequestBody HydomcAssetspec hydomcAssetspec) {
    	LambdaQueryWrapper<HydomcAssetspec> queryWrapper = new HydomcAssetspec.BuilderQueryWrapper().builder();
    	List<HydomcAssetspec> list = this.hydomcAssetspecService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }

    /**
     * 新增
     */
	@ApiOperation(value = "保存")
	@RequestMapping(value = "createHydomcAssetspec")
    public ResponseResult createHydomcAssetspec(@RequestBody HydomcAssetspec hydomcAssetspec) {
        boolean result = this.hydomcAssetspecService.save(hydomcAssetspec);
        return result ? ResponseUtil.successResult("保存成功") : ResponseUtil.errorResult("保存失败");
    }
    
    /**
     * 更新
     */
	@ApiOperation(value = "更新")
	@RequestMapping(value = "updateHydomcAssetspec")
    public ResponseResult updateHydomcAssetspec(@RequestBody HydomcAssetspec hydomcAssetspec) {
        boolean result = this.hydomcAssetspecService.updateById(hydomcAssetspec);
        return result ? ResponseUtil.successResult("更新成功") : ResponseUtil.errorResult("更新失败");
    }

}
