package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.RwdDefFuncid;
import com.persagy.transfer.service.IRwdDefFuncidService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 信息点定义表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 13:16:57
 */

@Api(tags = "信息点定义表")
@RestController
@RequestMapping(value = "/rwdDefFuncid", method = RequestMethod.POST)
public class RwdDefFuncidController {
	
    @Autowired
    private IRwdDefFuncidService rwdDefFuncidService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryRwdDefFuncidList")
    public ResponseResult queryRwdDefFuncidList(@RequestBody RwdDefFuncid rwdDefFuncid) {
    	LambdaQueryWrapper<RwdDefFuncid> queryWrapper = new RwdDefFuncid.BuilderQueryWrapper().builder();
    	List<RwdDefFuncid> list = this.rwdDefFuncidService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }
    
}
