package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.RwdObjectWd;
import com.persagy.transfer.service.IRwdObjectWdService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 对象实例表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-17 10:39:43
 */

@Api(tags = "对象实例表")
@RestController
@RequestMapping(value = "/rwdObjectWd", method = RequestMethod.POST)
public class RwdObjectWdController {
	
    @Autowired
    private IRwdObjectWdService rwdObjectWdService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryRwdObjectWdList")
    public ResponseResult queryRwdObjectWdList(@RequestBody RwdObjectWd rwdObjectWd) {
    	List<RwdObjectWd> list = this.rwdObjectWdService.listByProjectId(rwdObjectWd.getProjectId(), rwdObjectWd.getClassCode(), rwdObjectWd.getObjType());
    	if (CollectionUtil.isEmpty(list)) {
    		return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }

}
