package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.WdfacilityRelPersagy;
import com.persagy.transfer.service.IWdfacilityRelPersagyService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 万达设备参数信息表与博锐尚格信息点的映射表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 11:06:42
 */

@Api(tags = "万达设备参数信息表与博锐尚格信息点的映射表")
@RestController
@RequestMapping(value = "/wdfacilityRelPersagy", method = RequestMethod.POST)
public class WdfacilityRelPersagyController {
    @Autowired
    private IWdfacilityRelPersagyService wdfacilityRelPersagyService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryWdfacilityRelPersagyList")
    public ResponseResult queryWdfacilityRelPersagyList(@RequestBody WdfacilityRelPersagy wdfacilityRelPersagy) {
    	LambdaQueryWrapper<WdfacilityRelPersagy> queryWrapper = new WdfacilityRelPersagy.BuilderQueryWrapper().builder();
    	List<WdfacilityRelPersagy> list = this.wdfacilityRelPersagyService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }

}
