package com.persagy.transfer.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.google.common.collect.Lists;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseUtil;
import com.persagy.transfer.pojo.dto.WdprojRelPersagyproj;
import com.persagy.transfer.service.IWdprojRelPersagyprojService;

import cn.hutool.core.collection.CollectionUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 万达项目ID与博锐尚格项目ID映射表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 11:06:42
 */

@Api(tags = "万达项目ID与博锐尚格项目ID映射表")
@RestController
@RequestMapping(value = "/wdprojRelPersagyproj", method = RequestMethod.POST)
public class WdprojRelPersagyprojController {
	
    @Autowired
    private IWdprojRelPersagyprojService wdprojRelPersagyprojService;
    
    /**
     * 列表查询
     */
    @ApiOperation(value = "列表查询")
    @RequestMapping(value = "queryWdprojRelPersagyprojList")
    public ResponseResult queryWdprojRelPersagyprojList(@RequestBody WdprojRelPersagyproj wdprojRelPersagyproj) {
    	LambdaQueryWrapper<WdprojRelPersagyproj> queryWrapper = new WdprojRelPersagyproj.BuilderQueryWrapper().builder();
    	List<WdprojRelPersagyproj> list = this.wdprojRelPersagyprojService.list(queryWrapper);
    	if (CollectionUtil.isEmpty(list)) {
			return ResponseUtil.successResult(Lists.newArrayList(), 0L);
		}
        return ResponseUtil.successResult(list, (long)list.size());
    }


}
