package com.persagy.transfer.init;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import com.persagy.transfer.handle.CommonHandler;

import lombok.extern.slf4j.Slf4j;

/**
 * 项目初始化时，进行部分操作
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021年9月16日 下午10:43:20
 */
@Slf4j
@Component
public class StartInit implements CommandLineRunner {
	
    @Autowired
    private CommonHandler commonHandler;
    
	@Override
	public void run(String... args) throws Exception {
		// 生成设备类编码缓存
		this.commonHandler.createWDClassCache();
		
		// 生成项目ID缓存
		this.commonHandler.createWDProjectCache();
		
		log.info("项目初始化成功...");
	}

}
