package com.persagy.transfer.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.persagy.transfer.pojo.dto.RwdObjectWd;

/**
 * 对象实例表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-17 10:39:43
 */
@Mapper
public interface RwdObjectWdMapper {

    /**
     * 查询出物理世界对象数据
     * 
     * @param projectId 博锐尚格项目id
     * @param classCode 对象类型编码
     * @param objType 对象分类
     * @return java.util.List<com.persagy.transfer.pojo.dto.RwdObjecWd>
     * @author YangWanYi
     * @describe
     * @date 2021/9/16 14:06
     */
    List<RwdObjectWd> listByProjectId(@Param("projectId") String projectId, @Param("classCode") String classCode, @Param("objType") String objType);
	
}
