package com.persagy.transfer.pojo.dto;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.persagy.common.utils.StringUtil;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.Date;

/**
 * 设备参数信息
 *
 * @author zhangqiankun
 * @version 1.0.0
 * @company persagy
 * @date 2021-09-16 10:45:41
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("hydomc_assetspec")
public class HydomcAssetspec extends Model<HydomcAssetspec> {
    private static final long serialVersionUID = 1994016672442325413L;

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY, fill = FieldFill.INSERT)
    @TableId(type = IdType.ASSIGN_ID)
    private String assetspecid;    //主键ID

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String assetattrid; // 设备分类ID

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String siteid; // 关联的设备信息字段

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String sbybm; // 关联的设备信息字段

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String classstructureid; // 设备分类id

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String classqc; // 设备分类名称, 电梯系统/扶梯/人行步道

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String csdesc; // 设备参数名称,传输能力

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String datatype; // 设备参数类型,字母数字

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String measureunitid; // 设备参数单位编码

    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String csjldw; // 设备参数单位名称

    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Double numvalue; // 设备参数数字值

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String alnvalue; // 设备参数文本值

    @TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
    private String datastatus; // 数据状态

    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private Date changedate; // 数据更新时间

    public static Builder builder() {
        return new Builder();
    }

    public static class BuilderQueryWrapper {

        private LambdaQueryWrapper<HydomcAssetspec> queryWrapper = new LambdaQueryWrapper<>();

        public BuilderQueryWrapper assetspecidEq(String assetspecid) {
            if (StringUtil.isNotBlank(assetspecid)) {
                queryWrapper.eq(HydomcAssetspec::getAssetspecid, assetspecid);
            }
            return this;
        }

        public BuilderQueryWrapper assetattridEq(String assetattrid) {
            if (StringUtil.isNotBlank(assetattrid)) {
                queryWrapper.eq(HydomcAssetspec::getAssetattrid, assetattrid);
            }
            return this;
        }

        public BuilderQueryWrapper siteidEq(String siteid) {
            if (StringUtil.isNotBlank(siteid)) {
                queryWrapper.eq(HydomcAssetspec::getSiteid, siteid);
            }
            return this;
        }

        public BuilderQueryWrapper sbybmEq(String sbybm) {
            if (StringUtil.isNotBlank(sbybm)) {
                queryWrapper.eq(HydomcAssetspec::getSbybm, sbybm);
            }
            return this;
        }

        public BuilderQueryWrapper classstructureidEq(String classstructureid) {
            if (StringUtil.isNotBlank(classstructureid)) {
                queryWrapper.eq(HydomcAssetspec::getClassstructureid, classstructureid);
            }
            return this;
        }

        public BuilderQueryWrapper classqcEq(String classqc) {
            if (StringUtil.isNotBlank(classqc)) {
                queryWrapper.eq(HydomcAssetspec::getClassqc, classqc);
            }
            return this;
        }

        public BuilderQueryWrapper csdescEq(String csdesc) {
            if (StringUtil.isNotBlank(csdesc)) {
                queryWrapper.eq(HydomcAssetspec::getCsdesc, csdesc);
            }
            return this;
        }

        public BuilderQueryWrapper datatypeEq(String datatype) {
            if (StringUtil.isNotBlank(datatype)) {
                queryWrapper.eq(HydomcAssetspec::getDatatype, datatype);
            }
            return this;
        }

        public BuilderQueryWrapper measureunitidEq(String measureunitid) {
            if (StringUtil.isNotBlank(measureunitid)) {
                queryWrapper.eq(HydomcAssetspec::getMeasureunitid, measureunitid);
            }
            return this;
        }

        public BuilderQueryWrapper csjldwEq(String csjldw) {
            if (StringUtil.isNotBlank(csjldw)) {
                queryWrapper.eq(HydomcAssetspec::getCsjldw, csjldw);
            }
            return this;
        }

        public BuilderQueryWrapper numvalueEq(Double numvalue) {
            if (null != numvalue) {
                queryWrapper.eq(HydomcAssetspec::getNumvalue, numvalue);
            }
            return this;
        }

        public BuilderQueryWrapper alnvalueEq(String alnvalue) {
            if (StringUtil.isNotBlank(alnvalue)) {
                queryWrapper.eq(HydomcAssetspec::getAlnvalue, alnvalue);
            }
            return this;
        }

        public BuilderQueryWrapper datastatusEq(String datastatus) {
            if (StringUtil.isNotBlank(datastatus)) {
                queryWrapper.eq(HydomcAssetspec::getDatastatus, datastatus);
            }
            return this;
        }

        public BuilderQueryWrapper changedateEq(Date changedate) {
            if (null != changedate) {
                queryWrapper.eq(HydomcAssetspec::getChangedate, changedate);
            }
            return this;
        }

        public LambdaQueryWrapper<HydomcAssetspec> builder() {
            return queryWrapper;
        }

    }

    public static class BuilderUpdateWrapper {

        private LambdaUpdateWrapper<HydomcAssetspec> updateWrapper = new LambdaUpdateWrapper<>();

        public BuilderUpdateWrapper assetspecidEq(String assetspecid) {
            if (StringUtil.isNotBlank(assetspecid)) {
                updateWrapper.eq(HydomcAssetspec::getAssetspecid, assetspecid);
            }
            return this;
        }

        public BuilderUpdateWrapper assetattridEq(String assetattrid) {
            if (StringUtil.isNotBlank(assetattrid)) {
                updateWrapper.eq(HydomcAssetspec::getAssetattrid, assetattrid);
            }
            return this;
        }

        public BuilderUpdateWrapper siteidEq(String siteid) {
            if (StringUtil.isNotBlank(siteid)) {
                updateWrapper.eq(HydomcAssetspec::getSiteid, siteid);
            }
            return this;
        }

        public BuilderUpdateWrapper sbybmEq(String sbybm) {
            if (StringUtil.isNotBlank(sbybm)) {
                updateWrapper.eq(HydomcAssetspec::getSbybm, sbybm);
            }
            return this;
        }

        public BuilderUpdateWrapper classstructureidEq(String classstructureid) {
            if (StringUtil.isNotBlank(classstructureid)) {
                updateWrapper.eq(HydomcAssetspec::getClassstructureid, classstructureid);
            }
            return this;
        }

        public BuilderUpdateWrapper classqcEq(String classqc) {
            if (StringUtil.isNotBlank(classqc)) {
                updateWrapper.eq(HydomcAssetspec::getClassqc, classqc);
            }
            return this;
        }

        public BuilderUpdateWrapper csdescEq(String csdesc) {
            if (StringUtil.isNotBlank(csdesc)) {
                updateWrapper.eq(HydomcAssetspec::getCsdesc, csdesc);
            }
            return this;
        }

        public BuilderUpdateWrapper datatypeEq(String datatype) {
            if (StringUtil.isNotBlank(datatype)) {
                updateWrapper.eq(HydomcAssetspec::getDatatype, datatype);
            }
            return this;
        }

        public BuilderUpdateWrapper measureunitidEq(String measureunitid) {
            if (StringUtil.isNotBlank(measureunitid)) {
                updateWrapper.eq(HydomcAssetspec::getMeasureunitid, measureunitid);
            }
            return this;
        }

        public BuilderUpdateWrapper csjldwEq(String csjldw) {
            if (StringUtil.isNotBlank(csjldw)) {
                updateWrapper.eq(HydomcAssetspec::getCsjldw, csjldw);
            }
            return this;
        }

        public BuilderUpdateWrapper numvalueEq(Double numvalue) {
            if (null != numvalue) {
                updateWrapper.eq(HydomcAssetspec::getNumvalue, numvalue);
            }
            return this;
        }

        public BuilderUpdateWrapper alnvalueEq(String alnvalue) {
            if (StringUtil.isNotBlank(alnvalue)) {
                updateWrapper.eq(HydomcAssetspec::getAlnvalue, alnvalue);
            }
            return this;
        }

        public BuilderUpdateWrapper datastatusEq(String datastatus) {
            if (StringUtil.isNotBlank(datastatus)) {
                updateWrapper.eq(HydomcAssetspec::getDatastatus, datastatus);
            }
            return this;
        }

        public BuilderUpdateWrapper changedateEq(Date changedate) {
            if (null != changedate) {
                updateWrapper.eq(HydomcAssetspec::getChangedate, changedate);
            }
            return this;
        }

        public LambdaUpdateWrapper<HydomcAssetspec> builder() {
            return updateWrapper;
        }

    }

    public static class Builder {

        private HydomcAssetspec hydomcAssetspec = new HydomcAssetspec();

        public Builder assetspecid(String assetspecid) {
            hydomcAssetspec.setAssetspecid(assetspecid);
            return this;
        }

        public Builder assetattrid(String assetattrid) {
            hydomcAssetspec.setAssetattrid(assetattrid);
            return this;
        }

        public Builder siteid(String siteid) {
            hydomcAssetspec.setSiteid(siteid);
            return this;
        }

        public Builder sbybm(String sbybm) {
            hydomcAssetspec.setSbybm(sbybm);
            return this;
        }

        public Builder classstructureid(String classstructureid) {
            hydomcAssetspec.setClassstructureid(classstructureid);
            return this;
        }

        public Builder classqc(String classqc) {
            hydomcAssetspec.setClassqc(classqc);
            return this;
        }

        public Builder csdesc(String csdesc) {
            hydomcAssetspec.setCsdesc(csdesc);
            return this;
        }

        public Builder datatype(String datatype) {
            hydomcAssetspec.setDatatype(datatype);
            return this;
        }

        public Builder measureunitid(String measureunitid) {
            hydomcAssetspec.setMeasureunitid(measureunitid);
            return this;
        }

        public Builder csjldw(String csjldw) {
            hydomcAssetspec.setCsjldw(csjldw);
            return this;
        }

        public Builder numvalue(Double numvalue) {
            hydomcAssetspec.setNumvalue(numvalue);
            return this;
        }

        public Builder alnvalue(String alnvalue) {
            hydomcAssetspec.setAlnvalue(alnvalue);
            return this;
        }

        public Builder datastatus(String datastatus) {
            hydomcAssetspec.setDatastatus(datastatus);
            return this;
        }

        public Builder changedate(Date changedate) {
            hydomcAssetspec.setChangedate(changedate);
            return this;
        }

        public HydomcAssetspec build() {
            return hydomcAssetspec;
        }

    }
}
