package com.persagy.transfer.pojo.dto;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.persagy.common.utils.StringUtil;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 对象实例表
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-09-17 10:39:43
 */
@Getter
@Setter
@ToString
public class RwdObjectWd {

	private String id;	// 主键ID
	
	private String name; // 对象名称

	private String localId; // 对象本地编码

	private String localName; // 对象本地名称

	private String groupCode; //

	private String projectId; // 项目id

	private String objType; // 对象分类

	private String classCode; // 对象类型编码

	private Integer grouping; // 1单个对象,2对象组

	private Integer valid; // 对象状态:1有效,0无效

	private String infos; // 边类型编码

	private Date createTime; // 创建时间

	private Date updateTime; // 最后更新时间

	private String createUser; // 创建用户

	private String updateUser; // 最后更新用户

	private String createApp; // 创建应用

	private String updateApp; // 最后更新应用
	
	@TableField(exist = false)
	private String tableSuffix; // 动态表名后缀

	public static Builder builder() {
		return new Builder();
	}

	public static class BuilderQueryWrapper {

		private LambdaQueryWrapper<RwdObjectWd> queryWrapper = new LambdaQueryWrapper<RwdObjectWd>();

		public BuilderQueryWrapper idEq(String id) {
			if (StringUtil.isNotBlank(id)) {
				queryWrapper.eq(RwdObjectWd::getId, id);
			}
			return this;
		}

		public BuilderQueryWrapper nameEq(String name) {
			if (StringUtil.isNotBlank(name)) {
				queryWrapper.eq(RwdObjectWd::getName, name);
			}
			return this;
		}

		public BuilderQueryWrapper localIdEq(String localId) {
			if (StringUtil.isNotBlank(localId)) {
				queryWrapper.eq(RwdObjectWd::getLocalId, localId);
			}
			return this;
		}

		public BuilderQueryWrapper localNameEq(String localName) {
			if (StringUtil.isNotBlank(localName)) {
				queryWrapper.eq(RwdObjectWd::getLocalName, localName);
			}
			return this;
		}

		public BuilderQueryWrapper groupCodeEq(String groupCode) {
			if (StringUtil.isNotBlank(groupCode)) {
				queryWrapper.eq(RwdObjectWd::getGroupCode, groupCode);
			}
			return this;
		}

		public BuilderQueryWrapper projectIdEq(String projectId) {
			if (StringUtil.isNotBlank(projectId)) {
				queryWrapper.eq(RwdObjectWd::getProjectId, projectId);
			}
			return this;
		}

		public BuilderQueryWrapper objTypeEq(String objType) {
			if (StringUtil.isNotBlank(objType)) {
				queryWrapper.eq(RwdObjectWd::getObjType, objType);
			}
			return this;
		}

		public BuilderQueryWrapper classCodeEq(String classCode) {
			if (StringUtil.isNotBlank(classCode)) {
				queryWrapper.eq(RwdObjectWd::getClassCode, classCode);
			}
			return this;
		}

		public BuilderQueryWrapper groupingEq(Integer grouping) {
			if (null != grouping) {
				queryWrapper.eq(RwdObjectWd::getGrouping, grouping);
			}
			return this;
		}

		public BuilderQueryWrapper validEq(Integer valid) {
			if (null != valid) {
				queryWrapper.eq(RwdObjectWd::getValid, valid);
			}
			return this;
		}

		public BuilderQueryWrapper infosEq(String infos) {
			if (null != infos) {
				queryWrapper.eq(RwdObjectWd::getInfos, infos);
			}
			return this;
		}

		public BuilderQueryWrapper createTimeEq(Date createTime) {
			if (null != createTime) {
				queryWrapper.eq(RwdObjectWd::getCreateTime, createTime);
			}
			return this;
		}

		public BuilderQueryWrapper updateTimeEq(Date updateTime) {
			if (null != updateTime) {
				queryWrapper.eq(RwdObjectWd::getUpdateTime, updateTime);
			}
			return this;
		}

		public BuilderQueryWrapper createUserEq(String createUser) {
			if (StringUtil.isNotBlank(createUser)) {
				queryWrapper.eq(RwdObjectWd::getCreateUser, createUser);
			}
			return this;
		}

		public BuilderQueryWrapper updateUserEq(String updateUser) {
			if (StringUtil.isNotBlank(updateUser)) {
				queryWrapper.eq(RwdObjectWd::getUpdateUser, updateUser);
			}
			return this;
		}

		public BuilderQueryWrapper createAppEq(String createApp) {
			if (StringUtil.isNotBlank(createApp)) {
				queryWrapper.eq(RwdObjectWd::getCreateApp, createApp);
			}
			return this;
		}

		public BuilderQueryWrapper updateAppEq(String updateApp) {
			if (StringUtil.isNotBlank(updateApp)) {
				queryWrapper.eq(RwdObjectWd::getUpdateApp, updateApp);
			}
			return this;
		}

		public LambdaQueryWrapper<RwdObjectWd> builder() {
			return queryWrapper;
		}

	}

	public static class BuilderUpdateWrapper {

		private LambdaUpdateWrapper<RwdObjectWd> updateWrapper = new LambdaUpdateWrapper<RwdObjectWd>();

		public BuilderUpdateWrapper idEq(String id) {
			if (StringUtil.isNotBlank(id)) {
				updateWrapper.eq(RwdObjectWd::getId, id);
			}
			return this;
		}

		public BuilderUpdateWrapper nameEq(String name) {
			if (StringUtil.isNotBlank(name)) {
				updateWrapper.eq(RwdObjectWd::getName, name);
			}
			return this;
		}

		public BuilderUpdateWrapper localIdEq(String localId) {
			if (StringUtil.isNotBlank(localId)) {
				updateWrapper.eq(RwdObjectWd::getLocalId, localId);
			}
			return this;
		}

		public BuilderUpdateWrapper localNameEq(String localName) {
			if (StringUtil.isNotBlank(localName)) {
				updateWrapper.eq(RwdObjectWd::getLocalName, localName);
			}
			return this;
		}

		public BuilderUpdateWrapper groupCodeEq(String groupCode) {
			if (StringUtil.isNotBlank(groupCode)) {
				updateWrapper.eq(RwdObjectWd::getGroupCode, groupCode);
			}
			return this;
		}

		public BuilderUpdateWrapper projectIdEq(String projectId) {
			if (StringUtil.isNotBlank(projectId)) {
				updateWrapper.eq(RwdObjectWd::getProjectId, projectId);
			}
			return this;
		}

		public BuilderUpdateWrapper objTypeEq(String objType) {
			if (StringUtil.isNotBlank(objType)) {
				updateWrapper.eq(RwdObjectWd::getObjType, objType);
			}
			return this;
		}

		public BuilderUpdateWrapper classCodeEq(String classCode) {
			if (StringUtil.isNotBlank(classCode)) {
				updateWrapper.eq(RwdObjectWd::getClassCode, classCode);
			}
			return this;
		}

		public BuilderUpdateWrapper groupingEq(Integer grouping) {
			if (null != grouping) {
				updateWrapper.eq(RwdObjectWd::getGrouping, grouping);
			}
			return this;
		}

		public BuilderUpdateWrapper validEq(Integer valid) {
			if (null != valid) {
				updateWrapper.eq(RwdObjectWd::getValid, valid);
			}
			return this;
		}

		public BuilderUpdateWrapper infosEq(String infos) {
			if (null != infos) {
				updateWrapper.eq(RwdObjectWd::getInfos, infos);
			}
			return this;
		}

		public BuilderUpdateWrapper createTimeEq(Date createTime) {
			if (null != createTime) {
				updateWrapper.eq(RwdObjectWd::getCreateTime, createTime);
			}
			return this;
		}

		public BuilderUpdateWrapper updateTimeEq(Date updateTime) {
			if (null != updateTime) {
				updateWrapper.eq(RwdObjectWd::getUpdateTime, updateTime);
			}
			return this;
		}

		public BuilderUpdateWrapper createUserEq(String createUser) {
			if (StringUtil.isNotBlank(createUser)) {
				updateWrapper.eq(RwdObjectWd::getCreateUser, createUser);
			}
			return this;
		}

		public BuilderUpdateWrapper updateUserEq(String updateUser) {
			if (StringUtil.isNotBlank(updateUser)) {
				updateWrapper.eq(RwdObjectWd::getUpdateUser, updateUser);
			}
			return this;
		}

		public BuilderUpdateWrapper createAppEq(String createApp) {
			if (StringUtil.isNotBlank(createApp)) {
				updateWrapper.eq(RwdObjectWd::getCreateApp, createApp);
			}
			return this;
		}

		public BuilderUpdateWrapper updateAppEq(String updateApp) {
			if (StringUtil.isNotBlank(updateApp)) {
				updateWrapper.eq(RwdObjectWd::getUpdateApp, updateApp);
			}
			return this;
		}

		public LambdaUpdateWrapper<RwdObjectWd> builder() {
			return updateWrapper;
		}

	}

	public static class Builder {

		private RwdObjectWd rwdObjectWd = new RwdObjectWd();

		public Builder id(String id) {
			rwdObjectWd.setId(id);
			return this;
		}

		public Builder name(String name) {
			rwdObjectWd.setName(name);
			return this;
		}

		public Builder localId(String localId) {
			rwdObjectWd.setLocalId(localId);
			return this;
		}

		public Builder localName(String localName) {
			rwdObjectWd.setLocalName(localName);
			return this;
		}

		public Builder groupCode(String groupCode) {
			rwdObjectWd.setGroupCode(groupCode);
			return this;
		}

		public Builder projectId(String projectId) {
			rwdObjectWd.setProjectId(projectId);
			return this;
		}

		public Builder objType(String objType) {
			rwdObjectWd.setObjType(objType);
			return this;
		}

		public Builder classCode(String classCode) {
			rwdObjectWd.setClassCode(classCode);
			return this;
		}

		public Builder grouping(Integer grouping) {
			rwdObjectWd.setGrouping(grouping);
			return this;
		}

		public Builder valid(Integer valid) {
			rwdObjectWd.setValid(valid);
			return this;
		}

		public Builder infos(String infos) {
			rwdObjectWd.setInfos(infos);
			return this;
		}

		public Builder createTime(Date createTime) {
			rwdObjectWd.setCreateTime(createTime);
			return this;
		}

		public Builder updateTime(Date updateTime) {
			rwdObjectWd.setUpdateTime(updateTime);
			return this;
		}

		public Builder createUser(String createUser) {
			rwdObjectWd.setCreateUser(createUser);
			return this;
		}

		public Builder updateUser(String updateUser) {
			rwdObjectWd.setUpdateUser(updateUser);
			return this;
		}

		public Builder createApp(String createApp) {
			rwdObjectWd.setCreateApp(createApp);
			return this;
		}

		public Builder updateApp(String updateApp) {
			rwdObjectWd.setUpdateApp(updateApp);
			return this;
		}

		public RwdObjectWd build() {
			return rwdObjectWd;
		}

	}
}
