package com.persagy.transfer.pojo.dto;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.persagy.common.utils.StringUtil;
import com.persagy.db.model.BaseEntity;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 万达设备参数信息表与博锐尚格信息点的映射表
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-09-16 11:06:42
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("wdfacility_rel_persagy")
public class WdfacilityRelPersagy extends BaseEntity<WdfacilityRelPersagy> {
	private static final long serialVersionUID = 522062164350721510L;

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String code; // 中台数据信息点编码

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String wdClassCode; // 万达设备类编码

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String classstructureid; // 万达设备分类表id

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String assetattrid; // 万达设备参数id

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String classqc; // 设备分类名称

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String csdesc; // 设备参数名称

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String datatype; // 设备参数类型

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String measureunitid; // 设备参数单位编码

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String csjldw; // 设备参数单位名称

	public static Builder builder() {
		return new Builder();
	}

	public static class BuilderQueryWrapper {

		private LambdaQueryWrapper<WdfacilityRelPersagy> queryWrapper = new LambdaQueryWrapper<>();

		public BuilderQueryWrapper idEq(String id) {
			if (StringUtil.isNotBlank(id)) {
				queryWrapper.eq(WdfacilityRelPersagy::getId, id);
			}
			return this;
		}

		public BuilderQueryWrapper codeEq(String code) {
			if (StringUtil.isNotBlank(code)) {
				queryWrapper.eq(WdfacilityRelPersagy::getCode, code);
			}
			return this;
		}

		public BuilderQueryWrapper wdClassCodeEq(String wdClassCode) {
			if (StringUtil.isNotBlank(wdClassCode)) {
				queryWrapper.eq(WdfacilityRelPersagy::getWdClassCode, wdClassCode);
			}
			return this;
		}

		public BuilderQueryWrapper classstructureidEq(String classstructureid) {
			if (StringUtil.isNotBlank(classstructureid)) {
				queryWrapper.eq(WdfacilityRelPersagy::getClassstructureid, classstructureid);
			}
			return this;
		}

		public BuilderQueryWrapper assetattridEq(String assetattrid) {
			if (StringUtil.isNotBlank(assetattrid)) {
				queryWrapper.eq(WdfacilityRelPersagy::getAssetattrid, assetattrid);
			}
			return this;
		}

		public BuilderQueryWrapper classqcEq(String classqc) {
			if (StringUtil.isNotBlank(classqc)) {
				queryWrapper.eq(WdfacilityRelPersagy::getClassqc, classqc);
			}
			return this;
		}

		public BuilderQueryWrapper csdescEq(String csdesc) {
			if (StringUtil.isNotBlank(csdesc)) {
				queryWrapper.eq(WdfacilityRelPersagy::getCsdesc, csdesc);
			}
			return this;
		}

		public BuilderQueryWrapper datatypeEq(String datatype) {
			if (StringUtil.isNotBlank(datatype)) {
				queryWrapper.eq(WdfacilityRelPersagy::getDatatype, datatype);
			}
			return this;
		}

		public BuilderQueryWrapper measureunitidEq(String measureunitid) {
			if (null != measureunitid) {
				queryWrapper.eq(WdfacilityRelPersagy::getMeasureunitid, measureunitid);
			}
			return this;
		}

		public BuilderQueryWrapper csjldwEq(String csjldw) {
			if (StringUtil.isNotBlank(csjldw)) {
				queryWrapper.eq(WdfacilityRelPersagy::getCsjldw, csjldw);
			}
			return this;
		}

		public LambdaQueryWrapper<WdfacilityRelPersagy> builder() {
			return queryWrapper;
		}

	}

	public static class BuilderUpdateWrapper {

		private LambdaUpdateWrapper<WdfacilityRelPersagy> updateWrapper = new LambdaUpdateWrapper<>();

		public BuilderUpdateWrapper idEq(String id) {
			if (StringUtil.isNotBlank(id)) {
				updateWrapper.eq(WdfacilityRelPersagy::getId, id);
			}
			return this;
		}

		public BuilderUpdateWrapper codeEq(String code) {
			if (StringUtil.isNotBlank(code)) {
				updateWrapper.eq(WdfacilityRelPersagy::getCode, code);
			}
			return this;
		}

		public BuilderUpdateWrapper wdClassCodeEq(String wdClassCode) {
			if (StringUtil.isNotBlank(wdClassCode)) {
				updateWrapper.eq(WdfacilityRelPersagy::getWdClassCode, wdClassCode);
			}
			return this;
		}

		public BuilderUpdateWrapper classstructureidEq(String classstructureid) {
			if (StringUtil.isNotBlank(classstructureid)) {
				updateWrapper.eq(WdfacilityRelPersagy::getClassstructureid, classstructureid);
			}
			return this;
		}

		public BuilderUpdateWrapper assetattridEq(String assetattrid) {
			if (StringUtil.isNotBlank(assetattrid)) {
				updateWrapper.eq(WdfacilityRelPersagy::getAssetattrid, assetattrid);
			}
			return this;
		}

		public BuilderUpdateWrapper classqcEq(String classqc) {
			if (StringUtil.isNotBlank(classqc)) {
				updateWrapper.eq(WdfacilityRelPersagy::getClassqc, classqc);
			}
			return this;
		}

		public BuilderUpdateWrapper csdescEq(String csdesc) {
			if (StringUtil.isNotBlank(csdesc)) {
				updateWrapper.eq(WdfacilityRelPersagy::getCsdesc, csdesc);
			}
			return this;
		}

		public BuilderUpdateWrapper datatypeEq(String datatype) {
			if (StringUtil.isNotBlank(datatype)) {
				updateWrapper.eq(WdfacilityRelPersagy::getDatatype, datatype);
			}
			return this;
		}

		public BuilderUpdateWrapper measureunitidEq(String measureunitid) {
			if (null != measureunitid) {
				updateWrapper.eq(WdfacilityRelPersagy::getMeasureunitid, measureunitid);
			}
			return this;
		}

		public BuilderUpdateWrapper csjldwEq(String csjldw) {
			if (StringUtil.isNotBlank(csjldw)) {
				updateWrapper.eq(WdfacilityRelPersagy::getCsjldw, csjldw);
			}
			return this;
		}

		public LambdaUpdateWrapper<WdfacilityRelPersagy> builder() {
			return updateWrapper;
		}

	}

	public static class Builder {

		private WdfacilityRelPersagy wdfacilityRelPersagy = new WdfacilityRelPersagy();

		public Builder id(String id) {
			wdfacilityRelPersagy.setId(id);
			return this;
		}

		public Builder code(String code) {
			wdfacilityRelPersagy.setCode(code);
			return this;
		}

		public Builder wdClassCode(String wdClassCode) {
			wdfacilityRelPersagy.setWdClassCode(wdClassCode);
			return this;
		}

		public Builder classstructureid(String classstructureid) {
			wdfacilityRelPersagy.setClassstructureid(classstructureid);
			return this;
		}

		public Builder assetattrid(String assetattrid) {
			wdfacilityRelPersagy.setAssetattrid(assetattrid);
			return this;
		}

		public Builder classqc(String classqc) {
			wdfacilityRelPersagy.setClassqc(classqc);
			return this;
		}

		public Builder csdesc(String csdesc) {
			wdfacilityRelPersagy.setCsdesc(csdesc);
			return this;
		}

		public Builder datatype(String datatype) {
			wdfacilityRelPersagy.setDatatype(datatype);
			return this;
		}

		public Builder measureunitid(String measureunitid) {
			wdfacilityRelPersagy.setMeasureunitid(measureunitid);
			return this;
		}

		public Builder csjldw(String csjldw) {
			wdfacilityRelPersagy.setCsjldw(csjldw);
			return this;
		}

		public WdfacilityRelPersagy build() {
			return wdfacilityRelPersagy;
		}

	}
}
