package com.persagy.transfer.pojo.dto;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.persagy.common.utils.StringUtil;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 万达项目ID与博锐尚格项目ID映射表
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-09-16 11:06:42
 */
@Getter
@Setter
@ToString
@EqualsAndHashCode(callSuper = false)
@TableName("wdproj_rel_persagyproj")
public class WdprojRelPersagyproj extends Model<WdprojRelPersagyproj> {
	private static final long serialVersionUID = 8584696091624983461L;

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String persagyProjectid; // 万达项目id

	@TableField(updateStrategy = FieldStrategy.NOT_EMPTY)
	private String wdProjectid; // 万达项目id

	public static Builder builder() {
		return new Builder();
	}

	public static class BuilderQueryWrapper {

		private LambdaQueryWrapper<WdprojRelPersagyproj> queryWrapper = new LambdaQueryWrapper<WdprojRelPersagyproj>();

		public BuilderQueryWrapper persagyProjectidEq(String persagyProjectid) {
			if (StringUtil.isNotBlank(persagyProjectid)) {
				queryWrapper.eq(WdprojRelPersagyproj::getPersagyProjectid, persagyProjectid);
			}
			return this;
		}

		public BuilderQueryWrapper wdProjectidEq(String wdProjectid) {
			if (StringUtil.isNotBlank(wdProjectid)) {
				queryWrapper.eq(WdprojRelPersagyproj::getWdProjectid, wdProjectid);
			}
			return this;
		}

		public LambdaQueryWrapper<WdprojRelPersagyproj> builder() {
			return queryWrapper;
		}

	}

	public static class BuilderUpdateWrapper {

		private LambdaUpdateWrapper<WdprojRelPersagyproj> updateWrapper = new LambdaUpdateWrapper<WdprojRelPersagyproj>();

		public BuilderUpdateWrapper persagyProjectidEq(String persagyProjectid) {
			if (StringUtil.isNotBlank(persagyProjectid)) {
				updateWrapper.eq(WdprojRelPersagyproj::getPersagyProjectid, persagyProjectid);
			}
			return this;
		}

		public BuilderUpdateWrapper wdProjectidEq(String wdProjectid) {
			if (StringUtil.isNotBlank(wdProjectid)) {
				updateWrapper.eq(WdprojRelPersagyproj::getWdProjectid, wdProjectid);
			}
			return this;
		}

		public LambdaUpdateWrapper<WdprojRelPersagyproj> builder() {
			return updateWrapper;
		}

	}

	public static class Builder {

		private WdprojRelPersagyproj wdprojRelPersagyproj = new WdprojRelPersagyproj();

		public Builder persagyProjectid(String persagyProjectid) {
			wdprojRelPersagyproj.setPersagyProjectid(persagyProjectid);
			return this;
		}

		public Builder wdProjectid(String wdProjectid) {
			wdprojRelPersagyproj.setWdProjectid(wdProjectid);
			return this;
		}

		public WdprojRelPersagyproj build() {
			return wdprojRelPersagyproj;
		}

	}
}
