package com.persagy.transfer.service;

import java.util.Date;

import com.alibaba.fastjson.JSONObject;
import com.persagy.db.service.ISuperService;
import com.persagy.transfer.pojo.dto.HydomcAsset;
import com.persagy.transfer.pojo.dto.RwdObjectWd;

/**
 * 设备信息主表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 10:45:41
 */
public interface IHydomcAssetService extends ISuperService<HydomcAsset> {

	/**
	 * 根据主键获取设备信息
	 * 
	 * @param sbybm
	 * @return 
	 */
	HydomcAsset getHydomcAssetByPKey(String sbybm);
	
	/**
	 * 保存设备信息
	 * 
	 * @param rwdObjectWd BDTP中台对象数据
	 * @param infos 对象数据信息点集合，来源于 rwdObjectWd
	 * @param wdProjectId 万达项目ID
	 * @param classstructureid 设备分类ID
	 * @param sbybm 设备编码 主键
	 * @return true-成功
	 */
	boolean saveHydomcAsset(RwdObjectWd rwdObjectWd, JSONObject infos, String wdProjectId, String classstructureid, String sbybm);
	
	/**
	 * 构建 设备信息 主表数据
	 * 
	 * @param infos BDTP中台信息点集合
	 * @param wdProjectId 万达项目ID
	 * @param classstructureid 设备分类ID
	 * @param valid 有效性 0-无效，1-有效
	 * @param updateUser 更新用户
	 * @param updateTime 更新时间
	 * @return 
	 */
	HydomcAsset buildHydomcAsset(JSONObject infos, String wdProjectId, String classstructureid, String updateUser, int valid, Date updateTime);
	
}

