package com.persagy.transfer.service;

import java.util.Date;

import com.alibaba.fastjson.JSONObject;
import com.persagy.db.service.ISuperService;
import com.persagy.transfer.pojo.dto.HydomcAssetspec;
import com.persagy.transfer.pojo.dto.RwdObjectWd;
import com.persagy.transfer.pojo.dto.WdfacilityRelPersagy;

/**
 * 设备参数信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-16 10:45:41
 */
public interface IHydomcAssetspecService extends ISuperService<HydomcAssetspec> {

	/**
	 * @param sbybm 设备编码 -> 主表
	 * @param siteId 万达项目ID -> 主表
	 * @param assetAttrId 设备参数ID
	 * @return
	 * @author YangWanYi
	 * @describe 处理设备参数信息对象字段映射
	 * @date 2021/9/17 10:55
	 */
	HydomcAssetspec getHydomcAssetspec(String sbybm, String siteId, String assetAttrId);
	
	/**
	 * 
	 * @param wdfacilityRelPersagy 万达设备参数信息表与博锐尚格信息点的映射表
	 * @param rwdObjectWd			物理世界对象数据
	 * @param infos                博锐尚格项目表debugs字段数据
	 * @param wdProjectid          广场ID（万达项目ID）
	 * @param classstructureid     设备分类名称
	 * @param sbybm           	设备编码 -> 主表
	 * @return true - 成功
	 * @author YangWanYi
	 * @describe 保存设备参数信息
	 * @date 2021/9/17 10:55
	 */
	boolean saveHydomcAssetspec(WdfacilityRelPersagy wdfacilityRelPersagy, RwdObjectWd rwdObjectWd, JSONObject infos, String wdProjectid, String classstructureid, String sbybm);
	
	/**
	 * 所有对应的设备参数 从表信息置为失效状态
	 * 
	 * @param wdProjectId 万达项目ID
	 * @param sbybm		  设备编码
	 * @param updateTime	更新时间
	 * @return true-成功
	 * @date 2021年9月17日 下午10:29:35
	 */
	boolean deleteHydomcAssetspec(String wdProjectId, String sbybm, Date updateTime);
	
	/**
	 * 切记不包含数据状态标识，请返回结果后，自行处理添加
	 * 
	 * @param infos                博锐尚格项目表debugs字段数据
	 * @param wdfacilityRelPersagy 万达设备参数信息表与博锐尚格信息点的映射表
	 * @param assetspecid			主键ID
	 * @param wdProjectid          广场ID（万达项目ID）
	 * @param classstructureid     设备分类名称
	 * @param changedate           数据更新时间
	 * @return com.persagy.transfer.pojo.dto.HydomcAssetspec
	 * @author YangWanYi
	 * @describe 处理设备参数信息对象字段映射
	 * @date 2021/9/17 10:55
	 */
	HydomcAssetspec buildHydomcAssetspec(JSONObject infos, WdfacilityRelPersagy wdfacilityRelPersagy, String assetspecid, String wdProjectid, String classstructureid, Date changedate);

}

