package com.persagy.transfer.service;

import com.alibaba.fastjson.JSONObject;
import com.persagy.transfer.pojo.dto.HydomcAsset;
import com.persagy.transfer.pojo.dto.HydomcAssetspec;
import com.persagy.transfer.pojo.dto.WdfacilityRelPersagy;

import java.util.List;

public interface IWdDbService {
    Object getDataByMasterTwo();

    /**
     * @param primaryKey 万达设备信息主表主键
     * @return com.persagy.transfer.pojo.dto.HydomcAsset
     * @author YangWanYi
     * @describe 根据主键获取万达设备信息
     * @date 2021/9/16 15:31
     */
    HydomcAsset getHydomcAssetByPKey(String primaryKey);

    /**
     * @param infosObj         博锐尚格项目表的infos字段值
     * @param wdProjectId      博锐尚格项目ID映射的万达项目ID
     * @param hydomcAsset      万达设备信息对象
     * @param valid            项目数据对象状态:1有效,0无效
     * @param updateTime       项目最后更新时间
     * @param classstrucrureid 万达设备分类ID
     * @param updateUser 更新人
     * @author YangWanYi
     * @describe 万达设备信息对象数据同步
     * @date 2021/9/16 16:00
     */
    void sycnHydomcAsset(JSONObject infosObj, String wdProjectId, HydomcAsset hydomcAsset, Integer valid, java.util.Date updateTime, String classstrucrureid, String updateUser);

    /**
     * @param wdfacilityRelList 筛选后的万达设备参数信息表与博锐尚格信息点的映射表数据
     * @param wdProjectid       万达项目ID（广场ID）
     * @param infosObj          博锐尚格项目表的infos字段值
     * @param updateTime        项目最后更新时间
     * @author YangWanYi
     * @describe 同步万达设备参数对象数据
     * @date 2021/9/16 18:56
     */
    void sycnHydomcAssetspec(List<WdfacilityRelPersagy> wdfacilityRelList, String wdProjectid, JSONObject infosObj, java.util.Date updateTime);

    /**
     * @param siteId      关联的设备信息字段 广场ID 即万达项目ID
     * @param sbybm       关联的设备信息字段 设备编码
     * @param assetAttrId 设备分类ID
     * @return com.persagy.transfer.pojo.dto.HydomcAssetspec
     * @author YangWanYi
     * @describe 根据SITEID、SBYBM、ASSETATTRID查询万达设备信息表数据
     * @date 2021/9/17 10:13
     */
    HydomcAssetspec getHydomcAssetspec(String siteId, String sbybm, String assetAttrId);
}
