package com.persagy.transfer.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.google.common.collect.Lists;
import com.persagy.transfer.constant.SwitchConstant;
import com.persagy.transfer.mapper.RwdObjectWdMapper;
import com.persagy.transfer.pojo.dto.RwdObjectWd;
import com.persagy.transfer.service.IRwdObjectWdService;

import cn.hutool.core.collection.CollectionUtil;

/**
 * 对象实例表
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-09-17 10:39:43
 */
@Service
@DS(value = SwitchConstant.DS_MASTER_1)
public class RwdObjectWdServiceImpl implements IRwdObjectWdService {
	
	@Autowired
	private RwdObjectWdMapper rwdObjectWdMapper;
	
	@Override
	public List<RwdObjectWd> listByProjectId(String projectId, String classCode, String objType) {
		// 项目ID 字母小写
		projectId = projectId.toLowerCase();
		List<RwdObjectWd> list = rwdObjectWdMapper.listByProjectId(projectId, classCode, objType);
		return CollectionUtil.isEmpty(list) ? Lists.newArrayList() : list;
	}

}
